dmesg errors - wifi drivers? - Dell XPS 13 developer edition / Project Sputnik Feedback - OS and Applications - Dell Community

dmesg errors - wifi drivers?

OS and Applications

OS and Applications
Dell OS and Applications Solutions on Dell TechCenter - Project Sputnik, Microsoft Windows, Red Hat Linux, SUSE, Ubuntu, and more

dmesg errors - wifi drivers?

This question is not answered

After a recent apt-get dist-upgrade  ... I see the following errors in dmesg output and it makes me wonder if the correct wireless drivers are being used.  My wireless has never been great since buying the XPS 9360 DE.  Is this a known issue, or should I update something?

Thoughts?

[ 8.217274] ath10k_pci 0000:3a:00.0: Direct firmware load for ath10k/cal-pci-0000:3a:00.0.bin failed with error -2
[ 8.217552] ath10k_pci 0000:3a:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2
[ 8.217554] ath10k_pci 0000:3a:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2

All Replies
  • I get the same dmesg errors on 17.04 :/  Wireless has worked reliably for me despite this.  It would be nice to remedy the error messages and maybe get a performance increase if it needs different drivers loaded.

    Lately resolving dns has gotten rather slow.  Not sure why, but my guess is systemd-resolved.  It's been the culprit before.  I don't think systemd-resolved is used in 16.04.

  • Two issues I've found which greatly helped fix the slow resolving host issues I've had:

    1.)

    I did as was mentioned here in comment 14.  This may not apply to people not running 17.04:

    bugs.launchpad.net/.../14

    2.)

    I disabled IPv6 by editing my wifi connection, selecting the IPv6 tab, and selecting Ignore in the Method drop down box.